JmsReplyToHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.JmsReplyToHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class JmsReplyToHandler

    java.lang.Object
      org.mule.transport.DefaultReplyToHandler
          org.mule.transport.jms.JmsReplyToHandler

All Implemented Interfaces:
  ReplyToHandler

    public class JmsReplyToHandler

extends DefaultReplyToHandler

`JmsReplyToHandler` will process a JMS replyTo or hand off to the default replyTo handler if the replyTo is a URL. The purpose of this class is to send a result on a ReplyTo destination if one has been set. Note that the `JmsMessageDispatcher` also contains logic for handling ReplyTo. However, the dispatcher is responsible attaching the replyTo information to the message and also receiving on the same replyTo if 'remoteSync' is set. The `JmsMessageDispatcher` never writes to the 'replyTo' destination.

Field Summary

Fields inherited from class org.mule.transport.DefaultReplyToHandler
`logger`

Constructor Summary
`JmsReplyToHandler(JmsConnector connector, List transformers)`

Method Summary
`protected void` | `processMessage(Message replyToMessage, MuleEvent event)`
`void` | `processReplyTo(MuleEvent event, MuleMessage returnMessage, Object replyTo)`

Methods inherited from class org.mule.transport.DefaultReplyToHandler
`getEndpoint, getTransformers, setTransformers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsReplyToHandler

    public JmsReplyToHandler(JmsConnector connector,
                             List transformers)

Method Detail

### processReplyTo

    public void processReplyTo(MuleEvent event,
                               MuleMessage returnMessage,
                               Object replyTo)
                        throws MuleException

  Specified by:
    `processReplyTo` in interface `ReplyToHandler`
  Overrides:
    `processReplyTo` in class `DefaultReplyToHandler`
  Throws:
    `MuleException`

### processMessage

    protected void processMessage(Message replyToMessage,
                                  MuleEvent event)
                           throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.